import java.io.*;
import javax.swing.*;
import javax.tools.*;
import java.util.*;
import java.lang.Integer;
import java.awt.*;
import java.awt.event.*;
import java.awt.font.*;
import java.awt.geom.*;
import java.awt.image.*;
import javax.swing.*;
import java.util.Locale;
import java.text.*;
import java.util.*;
import javax.swing.table.*;
import static java.lang.Math.*;

class ce3_t extends JApplet 
{ 
	 public ce3_t(fi_xt f,double x0,double xn,double dx,double t0,double tn,double dti,double dt_reali,String s)
	 { 
	 timeplot_n pp=new timeplot_n(f,x0,xn,dx,t0,tn,dti,dt_reali);
	  //pp.setPlabel("f(x)="+s);
	  pp.start();;
	 }
	 	 
	  public static void main(String arg[])
	  {double x0=Double.parseDouble(JOptionPane.showInputDialog(" Fonksiyonun alt sınırını giriniz x_minimum  : "));
       double xn=Double.parseDouble(JOptionPane.showInputDialog(" Fonksiyonun üst sınırını giriniz x_maksimum : "));
       double n=Double.parseDouble(JOptionPane.showInputDialog(" x ekseni veri sayısını giriniz xn : "));
       double dx=(xn-x0)/n;
       double t0=Double.parseDouble(JOptionPane.showInputDialog(" zaman fonksiyonu alt sınırını giriniz t_minimum  : "));
       double tn=Double.parseDouble(JOptionPane.showInputDialog(" zaman fonksiyonu üst sınırını giriniz t_maksimum : "));
       double dt_real=Double.parseDouble(JOptionPane.showInputDialog(" dt_real  gerçek zaman stebini veriniz: "));
       double dt=Double.parseDouble(JOptionPane.showInputDialog(" dt grafik zaman stebini veriniz: "));
	   ce3_t xx=new ce3_t(new f2Dt(),x0,xn,dx,t0,tn,dt,dt_real);}
 }
